Bug 433285 - Certain inputs while holding mirror tool dividers locks the cursor icon to a hand icon until Krita is restarted
Summary: Certain inputs while holding mirror tool dividers locks the cursor icon to a ...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 4.4.3
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-20 03:20 UTC by tomtomtomreportingin
Modified: 2022-03-23 14:13 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tomtomtomreportingin 2021-02-20 03:20:37 UTC
SUMMARY
While moving the dividers of horizontal/vertical mirror tools, certain inputs will visually lock the cursor icon to a hand icon, until Krita is restarted. Certain inputs include right-clicking, other mouse/pen buttons, and shift+s (by default brings up the snap menu). 

Interestingly, the user can move the dividers using mouse/pen buttons besides left-click input, and if a user for example holds the dividers by holding right-click, the same behavior will occur by left-clicking.

STEPS TO REPRODUCE
1. Select the horizontal mirror tool.
2. Click and hold the divider.
3. While holding the divider, right-click.

OBSERVED RESULT
The cursor icon stays as a hand icon until Krita is restarted. There doesn't seem to be another way to revert this.

EXPECTED RESULT
Multiple combined mouse/pen inputs (along with shift+s and perhaps other inputs) shouldn't lock the cursor icon to the hand icon while moving symmetry tool dividers.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Debian sid
(available in About System)
KDE Plasma Version: 5.20.5
KDE Frameworks Version: 5.78.0
Qt Version: 5.12.9 (Appimage)
Comment 1 Luthien 2021-02-21 02:34:39 UTC
I can replicate this bug.

I'm using krita 4.4.2 on windows 10. Icon gets locked up every time, and I have to restart the software.
Comment 2 greengodess92 2021-04-20 00:32:45 UTC
(Using windows 10) Was using version 4.4.1 and had this issue. Just upgraded to 4.4.3 and STILL having issues with the hand icon replacing my drawing curser. Also triggers for me when selecting the multibrush tool to mirror. SUPER ANNOYING.
Comment 3 Bug Janitor Service 2022-03-21 21:34:02 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/krita/-/merge_requests/1382
Comment 4 Dmitry Kazakov 2022-03-23 14:13:27 UTC
Git commit 0b24bfa0a7c77019dfadd9e76ecbcca0f1ccbc14 by Dmitry Kazakov, on behalf of Tom Tom Tom.
Committed on 23/03/2022 at 14:12.
Pushed by dkazakov into branch 'master'.

Ensure original cursor is restored after using mirror tools

M  +6    -2    libs/ui/canvas/kis_mirror_axis.cpp

https://invent.kde.org/graphics/krita/commit/0b24bfa0a7c77019dfadd9e76ecbcca0f1ccbc14